---
variables:
  GITLAB_CI_IMAGE_ANSIBLE: 'librespace/ansible:6.0.0'
stages:
  - static
static_ansible:
  stage: static
  image: ${GITLAB_CI_IMAGE_ANSIBLE}
  variables:
    GIT_SUBMODULE_STRATEGY: 'recursive'
  before_script:
    - chmod o-w .  # XXX: workaround for writable GitLab CI build directory
    - sed --follow-symlinks -i '/^vault_password_file / d' ansible.cfg
    - apt-get -q update
    - apt-get -qy install git
  script:
    - ansible-playbook --syntax-check -vvv site.yml
    - ansible-lint
